### Function

# Camel file_util_savename

#### Declaration [src]

    gchar*
    camel_file_util_savename (
      const gchar* filename
    )

#### Description [src]

Builds a pathname where the basename is of the form “.#” + the basename of `filename`, for instance used in a two-stage commit file write.

#### Parameters

`filename`

  Type: `const gchar*`

  A pathname.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The new pathname. It must be free’d with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.